Loading...
Searching...
No Matches
Dune::TypeTree::SimpleFilter::apply< Child, new_index, old_index > Struct Template Reference

Applies the filter to the given child node. More...

`#include <dune/typetree/filters.hh>`

## Static Public Attributes

static const bool | value = true
| True if the child will be included in the filtered node.

## Detailed Description

template<typename Child, std::size_t new_index, std::size_t old_index>
struct Dune::TypeTree::SimpleFilter::apply< Child, new_index, old_index >

Applies the filter to the given child node.

This struct applies the filter to the given child to decide whether or not it will be included in the filtered node.

Template Parameters

  Child | The type of the child node.
  new_index | The index this child would receive in the filtered node.
  old_index | The index of this child in the unfiltered node.

## Member Data Documentation

## value

template<typename Child, std::size_t new_index, std::size_t old_index>

const bool Dune::TypeTree::SimpleFilter::apply< Child, new_index, old_index >::value = true

static

True if the child will be included in the filtered node.

The documentation for this struct was generated from the following file:

- filters.hh